VMTKLEVELSETSEGMENTATION(1)

NAME
vmtklevelsetsegmentation - vmtk script vmtklevelsetsegmentation

DESCRIPTION
Automatic piping vmtklevelsetsegmentation Parsing options vmtklevelsetsegmentation

vmtklevelsetsegmentation : interactivly initialize an initial level

    set and evolve it to image gradients

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1)

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-featureimage FeatureImage (vtkImageData,1)

-featureimagefile FeatureImageInputFileName (str,1): filename for

    the default FeatureImage reader

-initializationimage InitializationImage (vtkImageData,1)

-initializationimagefile InitializationImageInputFileName (str,1):

    filename for the default InitializationImage reader

-initiallevelsets InitialLevelSets (vtkImageData,1)

-initiallevelsetsfile InitialLevelSetsInputFileName (str,1):

    filename for the default InitialLevelSets reader

-levelsets LevelSets (vtkImageData,1)

-levelsetsfile LevelSetsInputFileName (str,1): filename for the

    default LevelSets reader

-levelsetstype LevelSetsType (str,1) in ['geodesic', 'curves',

    'threshold', 'laplacian']; default=geodesic

-featureimagetype FeatureImageType (str,1) in ['vtkgradient',

    'gradient', 'upwind', 'fwhm']; default=gradient

-negate NegateForInitialization (bool,1); default=0

-sigmoid SigmoidRemapping (bool,1); default=0

-isosurfacevalue IsoSurfaceValue (float,1); default=0.0

-derivativesigma DerivativeSigma (float,1) >= 0.0; default=0.0

-featurederivativesigma FeatureDerivativeSigma (float,1) >= 0.0;

    default=0.0

-upwindfactor UpwindFactor (float,1) >= 0.0 and <= 1.0; default=1.0

-fwhmradius FWHMRadius (float,3) >= 0.0; default=[1.0, 1.0, 1.0]

-fwhmbackgroundvalue FWHMBackgroundValue (float,1); default=0.0

-iterations NumberOfIterations (int,1) >= 0; default=0

-propagation PropagationScaling (float,1) >= 0.0; default=0.0

-curvature CurvatureScaling (float,1) >= 0.0; default=0.0

-advection AdvectionScaling (float,1) >= 0.0; default=1.0

-edgeweight EdgeWeight (float,1) >= 0.0; default=0.0

-smoothingiterations SmoothingIterations (int,1) >= 0; default=5

-smoothingtimestep SmoothingTimeStep (float,1) >= 0; default=0.1

-smoothingconductance SmoothingConductance (float,1) >= 0;

    default=0.8

-renderer vmtkRenderer (vmtkRenderer,1)

-ofile LevelSetsOutputFileName (str,1): filename for the default

    LevelSets writer

-ofeatureimagefile FeatureImageOutputFileName (str,1): filename for

    the default FeatureImage writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o LevelSets (vtkImageData,1)

-ofeatureimage FeatureImage (vtkImageData,1)